FreeMat

- Main Page
- Related Pages

vtkHardwareSelectionPolyDataPainter

Section: Visualization Toolkit Rendering Classes

# Usage

vtkHardwareSelectionPolyDataPainter is a painter for polydata used when rendering hardware selection passes.

To create an instance of class vtkHardwareSelectionPolyDataPainter, simply invoke its constructor as follows

      obj = vtkHardwareSelectionPolyDataPainter

# Methods

The class vtkHardwareSelectionPolyDataPainter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkHardwareSelectionPolyDataPainter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkHardwareSelectionPolyDataPainter = obj.NewInstance ()`
- `vtkHardwareSelectionPolyDataPainter = obj.SafeDownCast (vtkObject o)`
- `obj.SetEnableSelection (int )` - Enable/Disable vtkHardwareSelector class. Useful when using this painter as an internal painter. Default is enabled.
- `int = obj.GetEnableSelection ()` - Enable/Disable vtkHardwareSelector class. Useful when using this painter as an internal painter. Default is enabled.
- `obj.EnableSelectionOn ()` - Enable/Disable vtkHardwareSelector class. Useful when using this painter as an internal painter. Default is enabled.
- `obj.EnableSelectionOff ()` - Enable/Disable vtkHardwareSelector class. Useful when using this painter as an internal painter. Default is enabled.